NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Facet.SnipFacetBodyBuilder Class Reference

Represents a SnipFacetBody builder More...

Inheritance diagram for NXOpen.Facet.SnipFacetBodyBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BoundaryFacetTreatmentMethod { SnipFacets, RemoveFacets }
 Boundary facet treatment type: More...
 
enum  DirectionType { ViewDirection, FacetNormal, AlongVector }
 Snipping direction when snipping type "by profiles" More...
 
enum  RegionsOptionType { RemoveSelected, KeepSelected, Divide }
 These options represent if selected portions will be: Remove Selected, Keep Selected, Divide More...
 
enum  Types { SnipByBoundary, SnipByRegion, SnipWithCurves, SnipAtPlane }
 Snip method More...
 

Public Member Functions

unsafe void SwitchRegion ()
 Switch the region to be snipped indicated by the region point. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Facet.SnipFacetBodyBuilder.DirectionType 
AlongDirection [get, set]
 Returns or sets the direction in which snipping profiles are projected on the facet bodies More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
Bodies [get]
 Returns the facet bodies to snip. More...
 
unsafe
NXOpen.Facet.SnipFacetBodyBuilder.BoundaryFacetTreatmentMethod 
BoundaryFacetTreatmentType [get, set]
 Returns or sets the boundary facet treatment type More...
 
unsafe bool CanDivide [get, set]
 Returns or sets the value indicating if facet body is to be divided More...
 
unsafe
NXOpen.Facet.SelectFacetedBodyList 
FacetBodies [get]
 Returns the facet bodies to snip More...
 
unsafe NXOpen.FacetCollector FacetCollector [get, set]
 Returns or sets the collector of facets to be snipped. More...
 
unsafe bool IsEditCopy [get, set]
 Returns or sets the value indicating if a copy of the facet body to be snipped without altering the original More...
 
unsafe bool IsSnipNearFacets [get, set]
 Returns or sets the value indicating if only facets near to the viewer to be snipped More...
 
unsafe NXOpen.Plane Plane [get, set]
 Returns or sets the snipping plane More...
 
unsafe NXOpen.SectionList ProfileList [get]
 Returns the list of snipping profiles More...
 
unsafe NXOpen.Direction ProjectionVector [get, set]
 Returns or sets the projection vector More...
 
unsafe
NXOpen.GeometricUtilities.BoundaryDefinitionBuilderList 
RegionList [get]
 Returns the list of regions to snip More...
 
unsafe NXOpen.SelectPointList RegionPoint [get]
 Returns the point indicating the portion of the facet body with respect to specified region to be snipped. More...
 
unsafe
NXOpen.Facet.SnipFacetBodyBuilder.RegionsOptionType 
RegionsOption [get, set]
 Returns or sets the regions option of enum More...
 
unsafe
NXOpen.Facet.SnipFacetBodyBuilder.Types 
Type [get, set]
 Returns or sets the snipping method accessor More...
 
unsafe NXOpen.Vector3d ViewDirection [get, set]
 Returns or sets the view direction More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a SnipFacetBody builder

To create a new instance of this class, use NXOpen.Facet.FacetedBodyCollection.CreateSnipFacetBodyBuilder

Default values.

Property Value

AlongDirection

ViewDirection

BoundaryFacetTreatmentType

SnipFacets

CanDivide

0

IsEditCopy

0

IsSnipNearFacets

0

RegionsOption

RemoveSelected

Created in NX7.5.0

Member Enumeration Documentation

Boundary facet treatment type:

Enumerator
SnipFacets 

Snip scarred facets by the border

RemoveFacets 

Remove scarred facets

Snipping direction when snipping type "by profiles"

Enumerator
ViewDirection 

Snip along view direction

FacetNormal 

Snip along facet normal

AlongVector 

Snip along specified vector

These options represent if selected portions will be: Remove Selected, Keep Selected, Divide

Enumerator
RemoveSelected 

Remove Selected

KeepSelected 

Keep Selected

Divide 

Divide

Snip method

Enumerator
SnipByBoundary 

Snip by boundary

SnipByRegion 

Snip by region

SnipWithCurves 

Snip with curves

SnipAtPlane 

Snip at plane

Member Function Documentation

unsafe void NXOpen.Facet.SnipFacetBodyBuilder.SwitchRegion ( )
inline

Switch the region to be snipped indicated by the region point.

Created in NX7.5.0

License requirements: None.

Property Documentation

unsafe NXOpen.Facet.SnipFacetBodyBuilder.DirectionType NXOpen.Facet.SnipFacetBodyBuilder.AlongDirection
getset

Returns or sets the direction in which snipping profiles are projected on the facet bodies

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Facet.SnipFacetBodyBuilder.Bodies
get

Returns the facet bodies to snip.

Inputs to this command can be convergent objects.

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Facet.SnipFacetBodyBuilder.BoundaryFacetTreatmentMethod NXOpen.Facet.SnipFacetBodyBuilder.BoundaryFacetTreatmentType
getset

Returns or sets the boundary facet treatment type

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Facet.SnipFacetBodyBuilder.CanDivide
getset

Returns or sets the value indicating if facet body is to be divided

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Facet.SelectFacetedBodyList NXOpen.Facet.SnipFacetBodyBuilder.FacetBodies
get

Returns the facet bodies to snip

Created in NX7.5.0

Deprecated in NX11.0.0. Use NXOpen.Facet.SnipFacetBodyBuilder.Bodies instead.

License requirements: None.

unsafe NXOpen.FacetCollector NXOpen.Facet.SnipFacetBodyBuilder.FacetCollector
getset

Returns or sets the collector of facets to be snipped.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Facet.SnipFacetBodyBuilder.IsEditCopy
getset

Returns or sets the value indicating if a copy of the facet body to be snipped without altering the original

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Facet.SnipFacetBodyBuilder.IsSnipNearFacets
getset

Returns or sets the value indicating if only facets near to the viewer to be snipped

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Plane NXOpen.Facet.SnipFacetBodyBuilder.Plane
getset

Returns or sets the snipping plane

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SectionList NXOpen.Facet.SnipFacetBodyBuilder.ProfileList
get

Returns the list of snipping profiles

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Facet.SnipFacetBodyBuilder.ProjectionVector
getset

Returns or sets the projection vector

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.BoundaryDefinitionBuilderList NXOpen.Facet.SnipFacetBodyBuilder.RegionList
get

Returns the list of regions to snip

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectPointList NXOpen.Facet.SnipFacetBodyBuilder.RegionPoint
get

Returns the point indicating the portion of the facet body with respect to specified region to be snipped.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Facet.SnipFacetBodyBuilder.RegionsOptionType NXOpen.Facet.SnipFacetBodyBuilder.RegionsOption
getset

Returns or sets the regions option of enum

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Facet.SnipFacetBodyBuilder.Types NXOpen.Facet.SnipFacetBodyBuilder.Type
getset

Returns or sets the snipping method accessor

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Vector3d NXOpen.Facet.SnipFacetBodyBuilder.ViewDirection
getset

Returns or sets the view direction

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.